import pandas as pd
import plotly.express as px
import sys


if __name__ == "__main__":
    csv_file_name = sys.argv[1]

    df = pd.read_csv(csv_file_name)

    df["training_steps_total"] = df["training_step"] + df["epoch"] * df["training_step"].max()
    fig = px.line(df, "training_steps_total", "loss")
    fig.show()
